Package groovy.lang

# Class MetaClassImpl.MetaConstructor

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
groovy.lang.MetaClassImpl.MetaConstructor

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  MetaClassImpl

public static final class MetaClassImpl.MetaConstructor extends MetaMethod
This is a helper class introduced in Groovy 2.1.0, which is used only by indy. This class is for internal use only.

Since:
  Groovy 2.1.0

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

  ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `isVargsMethod, nativeParamTypes, parameterTypes`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CachedConstructor`
  `getCachedConstrcutor()`
  `CachedClass`
  `getDeclaringClass()`
  Gets the class where this method is declared
  `int`
  `getModifiers()`
  Returns the modifiers for this method
  `String`
  `getName()`
  Returns the name of the method represented by this class
  `Class`
  `getReturnType()`
  Access the return type for this method
  `Object`
  `invoke(Object object, Object[] arguments)`
  Invoke this method
  `boolean`
  `isBeanConstructor()`

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isDefault, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getModifiers

    public int getModifiers()
    Description copied from class: `MetaMethod`
    Returns the modifiers for this method
    Specified by:
      `getModifiers` in class `MetaMethod`
    Returns:
      modifiers as an int.

  - ### getName

    public String getName()
    Description copied from class: `MetaMethod`
    Returns the name of the method represented by this class
    Specified by:
      `getName` in class `MetaMethod`
    Returns:
      name of this method

  - ### getReturnType

    public Class getReturnType()
    Description copied from class: `MetaMethod`
    Access the return type for this method
    Specified by:
      `getReturnType` in class `MetaMethod`
    Returns:
      the return type of this method

  - ### getDeclaringClass

    public CachedClass getDeclaringClass()
    Description copied from class: `MetaMethod`
    Gets the class where this method is declared
    Specified by:
      `getDeclaringClass` in class `MetaMethod`
    Returns:
      class of this method

  - ### invoke

    public Object invoke(Object object, Object[] arguments)
    Description copied from class: `MetaMethod`
    Invoke this method
    Specified by:
      `invoke` in class `MetaMethod`
    Parameters:
      `object` - The object this method should be invoked on
      `arguments` - The arguments for the method if applicable
    Returns:
      The return value of the invocation

  - ### getCachedConstrcutor

    public CachedConstructor getCachedConstrcutor()

  - ### isBeanConstructor

    public boolean isBeanConstructor()